﻿using System;
using System.IO;
using System.Runtime.InteropServices;

namespace CSV2HST
{
    [StructLayout(LayoutKind.Sequential, Pack = 1)]
    public struct HST_RateInfoRecord
    {
        public int TimeStamp_SecondsSince1970;
        public double open;
        public double low;
        public double high;
        public double close;
        public double vol;

        public DateTime TimeStamp
        {
            get { return new System.DateTime(1970, 1, 1).AddSeconds(this.TimeStamp_SecondsSince1970); }
            set { this.TimeStamp_SecondsSince1970 = (int)(value.Subtract(new System.DateTime(1970, 1, 1)).TotalSeconds); } 
        }
    }
}
